Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.wtc.jatmi
Class StandardTypes

    java.lang.Object
      |
      +--weblogic.wtc.jatmi.StandardTypes

Direct Known Subclasses:
  TypedCArray, TypedFML, TypedFML32, TypedString, TypedXML, TypedXOctet

public abstract class StandardTypes
extends java.lang.Object
implements TypedBuffer, java.io.Serializable

This class implements the common methods all of the TUXEDO standard Typed Buffers require. It keeps the proper hint index and type and subtype strings.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`StandardTypes()` Null constructor.
`StandardTypes(java.lang.String type, int index)` Initializes the standard typed buffer of the given type at the given index
`StandardTypes(java.lang.String type, java.lang.String subtype, int index)` Initializes the standard typed buffer of the given type and subtype at the given index

Method Summary
`int` | `getHintIndex()` Returns the hint index of this typed buffer
`java.lang.String` | `getSubtype()` Returns the subtype of this typed buffer
`java.lang.String` | `getType()` Returns the type of this typed buffer
`static java.lang.String` | `hint_to_type(int hint)` Returns the type string associated with the given hint index

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardTypes

    public StandardTypes()

  Null constructor. All fields are null to begin

### StandardTypes

    public StandardTypes(java.lang.String type,
                         int index)

  Initializes the standard typed buffer of the given type at the given index

  Parameters:
    `type` - The type of buffer
    `index` - The index of this type

### StandardTypes

    public StandardTypes(java.lang.String type,
                         java.lang.String subtype,
                         int index)

  Initializes the standard typed buffer of the given type and subtype at the given index

  Parameters:
    `type` - The type of buffer
    `subtype` - The subtype of buffer
    `index` - The index of this type

Method Detail

### getHintIndex

    public int getHintIndex()

  Returns the hint index of this typed buffer
  Specified by:
    getHintIndex in interface TypedBuffer

  Returns:
    a `integer` representing the hint index of this buffer

### getType

    public java.lang.String getType()

  Returns the type of this typed buffer
  Specified by:
    getType in interface TypedBuffer

  Returns:
    a `String` representing the type of this buffer

### getSubtype

    public java.lang.String getSubtype()

  Returns the subtype of this typed buffer
  Specified by:
    getSubtype in interface TypedBuffer

  Returns:
    a `String` representing the subtype of this buffer

### hint_to_type

    public static java.lang.String hint_to_type(int hint)

  Returns the type string associated with the given hint index

  Parameters:
    `hint` - The hint index for which you wish to determine the type
  Returns:
    The string corresponding to this hint index, or null if the index is not known

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD